<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" schema="www-user_session"
 id="user_session-visit-times" charttype="histogram">

 <lire:title>Visit times User Session WWW Report</lire:title>

 <lire:description>
  <para>This report shows the time a user took to visit the website.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="range_size" type="duration" default="1m">
   <lire:description>
    <para>This parameter controls the time period over which the visit times
     are aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Visit Duration</lire:title>
  <lire:description>
    <para>Duration is given in seconds.</para>
  </lire:description>
 </lire:display-spec>

 <!-- We should either use max-value or size-scale to limit the 
 numer of values for extreme case (like a robot) which create a lot
 of empty indermediary step. -->

 <lire:report-calc-spec>
  <lire:rangegroup field="session_length"
                   range-start="0"
                   range-size="$range_size"
		   size-scale="2"
		   label="Duration">
   <lire:count name="session_count" label="Sessions"/>
   <lire:count name="session_ratio" ratio="table" label="% Total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
